﻿@using System.Web.UI.WebControls;
@using Portal.Models.Dock;
@using Portal.Models.Plant;
@using Portal.Models.SupplierReconciliation;

@model Toyota.Common.Web.MVC.ModelHolder
       
<table width="300px" border = "0">
    <tr>
        <td>
            <span>&nbsp</span>
        </td>
    </tr>

        <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Supplier Code";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                 gridLookup =>
                {
                    gridLookup.Name = "grdVendor";
                    gridLookup.Width = 143;
                    gridLookup.GridProperties.KeyFieldName = "SupplierCd";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierReconciliation", Action = "PartialSupplierPopupSR" };
                    //gridLookup.DescriptionWidth = Unit.Pixel(60);
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    //gridLookup.ReadOnly = true;


                    //if (Model.GetModel<List<SupplierReconciliationMasterName>>().Count == 1)
                    //{
                    //    gridLookup.Text = Model.GetModel<List<SupplierReconciliationMasterName>>()[0].SupplierCd;
                    //}

                    if ((((System.Collections.Generic.List<Portal.Models.Globals.SupplierReconciliationPopup>)(ViewData["SupplierReconciliationDataPopup"]))).Count == 1)
                    {
                        gridLookup.Text = (((System.Collections.Generic.List<Portal.Models.Globals.SupplierReconciliationPopup>)(ViewData["SupplierReconciliationDataPopup"])))[0].SupplierCd;
                    }

                    gridLookup.GridProperties.Columns.Add(
                            Clm =>
                            {
                                Clm.Name = "SupplierCd";
                                Clm.FieldName = "SupplierCd";
                                Clm.Caption = "Code";
                                Clm.Width = Unit.Pixel(80);
                                Clm.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                Clm.CellStyle.VerticalAlign = VerticalAlign.Middle;
                            });

                    
                }).Bind(ViewData["SupplierReconciliationDataPopup"]).GetHtml()      
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Document Number";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "DocumentNumber";
                    settings.Properties.EnableClientSideAPI = true;
                    //settings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[0-9]*$";
                    //settings.Properties.ValidationSettings.RegularExpression.ErrorText = "Only can be use number!";
                }
            ).GetHtml()
            
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Curr";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "Curr";
                    settings.Width = 143;
                    settings.Properties.Items.Add("IDR","IDR");
                    settings.Properties.Items.Add("USD","USD");
                    settings.Properties.Items.Add("JPY","JPY");
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Supplir Amount";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @*Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "SupplierAmount";
                    settings.Properties.EnableClientSideAPI = true;
                    settings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[0-9]*$";
                    settings.Properties.ValidationSettings.RegularExpression.ErrorText = "Only can be use number!";
                }
            ).GetHtml()*@
            @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "SupplierAmount";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 143;
                    //settings.Properties.DisplayFormatString = "#,##";
                    //settings.Properties.DisplayFormatString = "N0";
                    //settings.Properties.DecimalPlaces = 0;
                    settings.Properties.MinValue = 1;
                    settings.Properties.MaxValue = 99999999999999;
                    //settings.Properties 
                 }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Supplir Tax Amount";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color:Red;">*</b>
        </td>
        <td>
            @*Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "SupplierTaxAmount";
                    settings.Properties.EnableClientSideAPI = true;
                    settings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[0-9]*$";
                    settings.Properties.ValidationSettings.RegularExpression.ErrorText = "Only can be use number!";
                }
            ).GetHtml()*@
            @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "SupplierTaxAmount";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 143;
                    //settings.Properties.DisplayFormatString = "#,##";
                    //settings.Properties.DisplayFormatString = "N0";
                    //settings.Properties.DecimalPlaces = 0;
                    settings.Properties.MinValue = 1;
                    settings.Properties.MaxValue = 99999999999999;
                    //settings.Properties 
                 }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            <span>&nbsp</span>
        </td>
    </tr>
    
</table>
<table width="300px" border ="0">
 <tr>
        
        <td align="right">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "okNewDockCode";
                    settings.Text = "Save";
                    settings.Width = 80;
                    
                    settings.ClientSideEvents.Click = "RetrieveDeliveryContent";                        
                }
            ).GetHtml()</td>
        <td align="right" width="80px">
        @Html.DevExpress().Button(
            settings =>
            {
                settings.Name = "cancelSingleManifest";
                settings.Text = "Cancel";
                settings.Width = 80;

                settings.ClientSideEvents.Click = "EventSingleManifest";                        
            }
        ).GetHtml()
        </td>
     </tr>
</table>